Bug Hunting Session
Bug 122208 - Form Controls command are missing in Groupedbar compact
Summary: Form Controls command are missing in Groupedbar compact
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Main-Menu Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2018-12-19 22:04 UTC by Pedro
Modified: 2019-02-04 15:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
No Forms are exposed in Groupedbar Compact UI (47.62 KB, image/png)
2018-12-19 22:04 UTC, Pedro
Details
In Writer, the Standard Toolbar UI (and Single and Sidebar) show Forms in their own drop-down menu. (52.49 KB, image/png)
2018-12-19 22:05 UTC, Pedro
Details
In Calc Form controls can be inserted via the Insert menu (96.63 KB, image/png)
2018-12-19 22:05 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-12-19 22:04:12 UTC
Created attachment 147684 [details]
No Forms are exposed in Groupedbar Compact UI

Currently, the Groupedbar Compact UI does not make Form Controls visible.

Steps to reproduce:
1- Open LO,
2 - Select a module (ex. Writer),
3 - View > User Interface > Groupedbar Compact

Observed result: no Forms are visibe in the UI or in the Insert drop-down menu like it is seen in Writer in Standard, Single and Sidebar modes.

Expected Results: Forms should have its own drop-down menu OR they should be included in the Insert drop-down menu.
Comment 1 Pedro 2018-12-19 22:05:20 UTC
Created attachment 147685 [details]
In Writer, the Standard Toolbar UI (and Single and Sidebar) show Forms in their own drop-down menu.

In Writer, the Standard Toolbar UI (and Single and Sidebar) show Forms in their own drop-down menu.
Comment 2 Pedro 2018-12-19 22:05:47 UTC
Created attachment 147686 [details]
In Calc Form controls can be inserted via the Insert menu
Comment 3 Roman Kuznetsov 2018-12-21 20:59:36 UTC
confirm in

Версия: 6.2.0.1
ID сборки: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Потоков ЦП: 4; ОС:Linux 4.13; Отрисовка ИП: по умолчанию; VCL: gtk3; 
Локаль: ru-RU (ru_RU.UTF-8); UI-Language: ru-RU
Calc: threaded
Comment 4 Commit Notification 2019-02-04 14:46:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/313ef29fd3fde8910362db72abc3d9653d54f910%5E%21

tdf#122208 add form group to groupedbar_compact

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.